The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problem with GD

Discussion in 'General Discussion' started by gabned, Jan 15, 2006.

  1. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    I've read a lot of thread with the same problem, but I can't to solve this questions... how can I install GD libraries in my system?

    I tried to check the box in the page of Apache Update, but didn't work. I tried to install other php version without success.
    I tried to use from shell commands like cleangd or installgd, the result was fine, but gd wasn't installed in my server... there is someone that can help me with this problem and indicate a good fix? :confused:
     
  2. WebScHoLaR

    WebScHoLaR Well-Known Member

    Joined:
    Dec 14, 2005
    Messages:
    511
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Planet Earth
    You have to recompile Apache with the GD to get it installed.You can compile the apache with the GD support from the shell by running:

    /scripts/easyapache

    This script will provide you the options to select/deselet the modules that you want to compile with the Apache and you can select GD from the listed modules and also watch the compilation for any errors.But if you have not tried it before then I would recommend you to check with someone who already have done this.
     
    #2 WebScHoLaR, Jan 15, 2006
    Last edited: Jan 15, 2006
  3. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    I've tried also this... but nothing... doesn't work!! :(
    Where can be the problem?
     
  4. Murtaza_t

    Murtaza_t Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    476
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Earth
    cPanel Access Level:
    Website Owner
    Have you tried doing it from WHM >> Update Apache.. if yes then did you get any errors?
     
  5. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    Try installaing GD using the steps given in th URL :-
    http://forums.cpanel.net/showthread.php?p=229356#post229356

    Paste the errors if you receive any. Also let us know the PHP version you have installed.
     
  6. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    I use a php 4.4.1

    I try to follow this:

    /scripts/easyapache
    Select 7th option
    Select PHP and then select GD using space bar.
    Select 'Exit' and then say 'Yes' to save.
    Let the script execute completely and you will find GD is installed on your machine.

    But I don't have this option "Select PHP and then select GD using space bar."....

    If I make a "Update System Software" I receive this:

    .....
    GD::Graph is up to date (1.43).
    GD::Text::Align is up to date (1.18).
    .......
    GD installed ok

    I can't understand if and where can be the GD... :rolleyes:
     
  7. Izzee

    Izzee Well-Known Member

    Joined:
    Feb 6, 2004
    Messages:
    469
    Likes Received:
    0
    Trophy Points:
    16
    Type in shell:
    locate -u
    wait till it finishes
    Then type:
    locate GD

    :)
     
  8. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    Is this FreeBSD or what?
    Try installing GD at the prompt using this command:
    perl -MCPAN -e 'install GD'
     
  9. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    It's a Fedora!!
    With perl -MCPAN -e 'install GD' I have this:

    CPAN: Storable loaded ok
    Going to read /home/.cpan/Metadata
    Database was generated on Mon, 16 Jan 2006 03:12:25 GMT
    GD is up to date (2.30).


    :confused:
     
  10. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    Try the below things :-
    ---------------------------
    rpm -qa | grep gd << Will show you the vesion of GD

    locate GD << Will show you where it is installed.

    http://ServerIP/phpinfo.php << Will show you whether GD is installed correctly if its listed in the file.
     
  11. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    1) rpm -qa | grep gd:

    gdbm-1.8.0-22.1
    sysklogd-1.4.1-16
    gdbm-devel-1.8.0-22.1

    2) locate GD:

    I can see the path of all the components.

    3) http://ServerIP/phpinfo.php

    I can't see GD libraries... it's a problem of PHP?
     
  12. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    I suggest you to downgrade PHP to 4.3.10 and try to install GD again with the same steps. Its working for me.
    Give it a try.
     
  13. WilliamE

    WilliamE Well-Known Member

    Joined:
    May 14, 2004
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Go to you phpinfo page and keep it open so you can see what it's compiled with.

    Then run /scripts/easyapache and choose option 6

    Then select PHP in the list (use enter to select options) and check off GD and all the other options you had before according to your phpinfo file (it won't automatically select the current settings).

    Exit -> Exit -> Save .

    Should be any need to downgrade to php 4.3 that I can find as it's working fine on multiple php 4.4.1 servers here.
     
  14. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    I know it should work with PHP 4.4.1 but if its not working for him, there is no problem in giving it a try with downgrading PHP to 4.3.10.
     
  15. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    The problem is that I don't have in easyapache an option with GD or similar... :confused:
     
  16. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    Explain us a bit more as it doesn't give us a clue of what you are tring to do.
     
  17. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    I tried a lot of things... Actually I'm using WHM 10.8.0 cPanel 10.8.1-R113 with a Fedora i686.
    I have PHP 4.4.1 installed that have this kind of configuration:
    "'./configure' '--with-apxs=/usr/local/apache/bin/apxs' '--prefix=/usr' '--with-xml' '--enable-bcmath' '--enable-calendar' '--enable-ftp' '--enable-magic-quotes' '--with-mysql=/usr' '--enable-discard-path' '--with-pear' '--enable-sockets' '--enable-track-vars' '--enable-versioning' '--with-zlib'"
    And so, there isn't GD libraries in PHP...

    I started rebuilding Apache from cpanel, but the select box remained always unchecked.
    After I tring to use easyapache with option 6 or 7, but I don't have the GD option in my easyapache. I tried to rebuild with option 3 (with GD libraries), but didn't work.
    I tring to localize the GD and seems installed in my system, but Apache and PHP seem don't see it...

    :confused:

    Zend Optimizer can have some problems with GD?
     
  18. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
    I have installed GD using easyapache script number of times. How come theres not a GD option in it. Please try the 7th option, goto Php and hit enter, it should show you GD option. Select and Save it and let the compilitation completes.
     
  19. gabned

    gabned Member

    Joined:
    Jan 11, 2006
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    1
    Ok, sorry...
    There is option GD, is checked, I try to rebuild, but my phpinfo is always without GD support :confused:
     
  20. meganet

    meganet Well-Known Member

    Joined:
    Mar 28, 2005
    Messages:
    46
    Likes Received:
    0
    Trophy Points:
    6
    My GD library isn't working either.

    # rpm -qa | grep gd
    sysklogd-1.4.1-16
    gdbm-devel-1.8.0-22.1
    gd-2.0.21-5.20.1
    gd-progs-2.0.21-5.20.1
    gdbm-1.8.0-22.1
    gd-devel-2.0.21-5.20.1


    Does not show up in a phpinfo() page nor do applications using GD work when accessing. Is it safe to run easyapache while a server is online?
     
Loading...

Share This Page